Bug 991034 - RHEL5: Different content in HornetQ (includes classes)
RHEL5: Different content in HornetQ (includes classes)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RPMs (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: EAP 6.1.1
Assigned To: Fernando Nasser
Katerina Novotna
Russell Dickenson
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 09:00 EDT by Pavel Janousek
Modified: 2015-02-20 06:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:21:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-08-01 09:00:34 EDT
List of JARs with difference (class(-es) differences are excluded):
- modules/system/layers/base/org/hornetq/ra/main/hornetq-ra.jar
- modules/system/layers/base/org/hornetq/main/hornetq-commons.jar
- modules/system/layers/base/org/hornetq/main/hornetq-journal.jar
- modules/system/layers/base/org/hornetq/main/hornetq-jms-server.jar
- modules/system/layers/base/org/hornetq/main/hornetq-jms-client.jar
- modules/system/layers/base/org/hornetq/main/hornetq-server.jar
- modules/system/layers/base/org/hornetq/main/hornetq-core-client.jar

Above JARs have different:
- META-INF/maven/org.hornetq/* (+ sub-dirs)
- META-INF/MANIFEST.MF
- META-INF/INDEX.LIST

List of JARs with differences in class content:
- modules/system/layers/base/org/hornetq/ra/main/hornetq-ra.jar
  -- org/hornetq/ra/HornetQRALogger_$logger.class
- modules/system/layers/base/org/hornetq/main/hornetq-journal.jar
  -- org/hornetq/journal/HornetQJournalLogger_$logger.class
- modules/system/layers/base/org/hornetq/main/hornetq-jms-server.jar
  -- org/hornetq/jms/server/HornetQJMSServerBundle_$bundle.class
  -- org/hornetq/jms/server/HornetQJMSServerLogger_$logger.class
- modules/system/layers/base/org/hornetq/main/hornetq-jms-client.jar
  -- org/hornetq/jms/client/HornetQJMSClientLogger_$logger.class
- modules/system/layers/base/org/hornetq/main/hornetq-server.jar
  -- org/hornetq/core/server/HornetQMessageBundle_$bundle.class
  -- org/hornetq/core/server/HornetQServerLogger_$logger.class
- modules/system/layers/base/org/hornetq/main/hornetq-core-client.jar
  -- org/hornetq/core/client/HornetQClientMessageBundle_$bundle.class
  -- org/hornetq/core/client/HornetQClientLogger_$logger.class

This is a regression from EAP-6.1.0 RHEL5 RPM set where this issue wasn't seen.
Comment 1 Fernando Nasser 2013-08-01 09:52:44 EDT
ZIP and RPMs should match on ER4
Comment 3 Pavel Janousek 2013-08-12 08:09:47 EDT
Verified with ER4 build, fixed on RHEL6.

Note You need to log in before you can comment on or make changes to this bug.